# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Enumerations

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Extrusion.hpp File Reference

`#include <vlGraphics/Geometry.hpp>`
`#include <vlCore/Vector4.hpp>`
`#include <vlCore/Vector3.hpp>`
`#include <vlCore/Matrix4.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | vl::Extrusion
| The Extrusion class generates a Geometry extruding a silhouette along a path. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Enumerations

enum | vl::ESilhouetteMode { vl::SilhouetteClosed, vl::SilhouetteOpen }

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.